
.woocommerce-product-gallery {
	display: flex;
	flex-wrap: wrap;
	gap: var(--wd-gallery-gap, 10px);
}

.woocommerce-product-gallery>* {
	flex: 1 1 100%;
	max-width: 100%;
}

.woocommerce-product-gallery img {
	width: 100%;
	border-radius: var(--wd-brd-radius);
}

.woocommerce-product-gallery .wd-carousel-inner {
	margin: 0;
}

.woocommerce-product-gallery .wd-carousel {
	--wd-gap: var(--wd-gallery-gap, 10px);
	padding: 0;
	border-radius: var(--wd-brd-radius);
}

.woocommerce-product-gallery .wd-nav-arrows.wd-pos-sep {
	--wd-arrow-offset-h: calc(var(--wd-arrow-width, var(--wd-arrow-size, 50px)) / -1);
}

.woocommerce-product-gallery .wd-nav-pagin-wrap {
	position: absolute;
	inset-inline: 15px;
	bottom: 15px;
	z-index: 2;
}

.woocommerce-product-gallery .woocommerce-product-gallery__image {
	--wd-otl-offset: calc(var(--wd-otl-width) * -1);
	position: relative;
	overflow: hidden;
	border-radius: var(--wd-brd-radius);
}

.woocommerce-product-gallery .zoomImg[src$=".png"] {
	background-color: var(--wd-main-bgcolor);
	backface-visibility: hidden;
	-webkit-backface-visibility: hidden;
}

.woocommerce-product-gallery .wd-carousel-wrap[style*="grabbing"] .zoomImg {
	opacity: 0 !important;
	transition: opacity .25s ease;
}

.wd-gallery-thumb .wd-carousel-item {
	cursor: pointer;
	transition: opacity .25s ease;
}

.wd-gallery-thumb :is(.wd-carousel-item:hover,.wd-thumb-active,.wd-carousel:not(.wd-initialized) .wd-carousel-item:first-child) {
	opacity: .5;
}

.woocommerce-product-gallery:not(.wd-has-thumb) .wd-gallery-thumb {
	display: none;
}

.wd-single-gallery {
	max-width: 100%;
}

.woocommerce-product-gallery .wd-carousel[data-center_mode="yes"] .wd-carousel-wrap:not([style]) {
	transform: translate3d(calc(50% - ( 100% / var(--wd-col) ) * 1.5), 0, 0);
}

.rtl .woocommerce-product-gallery .wd-carousel[data-center_mode="yes"] .wd-carousel-wrap:not([style]) {
	transform: translate3d(calc(-50% + ( 100% / var(--wd-col) ) * 1.5), 0, 0);
}

.woocommerce-product-gallery .wd-carousel[data-center_mode="yes"] .wd-carousel-wrap:not([style]) .wd-carousel-item:first-child:last-child {
	margin-inline-start: auto;
}

.product-additional-galleries {
	position: absolute;
	bottom: 0;
	inset-inline-start: 0;
	z-index: 3;
	display: flex;
	align-items: flex-start;
	flex-direction: column;
	gap: 10px;
	padding: 15px;
	transition: all .3s ease;
}

.wd-action-btn.wd-style-icon-bg-text {
	--wd-action-icon-size: 18px;
	--wd-action-color: var(--color-gray-600);
	--wd-action-color-hover: var(--color-gray-800);
}

.wd-action-btn.wd-style-icon-bg-text>a {
	flex-wrap: nowrap;
	overflow: hidden;
	min-width: calc(var(--wd-action-icon-size) * 2.8);
	height: calc(var(--wd-action-icon-size) * 2.8);
	border-radius: calc(var(--wd-action-icon-size) * 2);
	background-color: var(--bgcolor-white);
	box-shadow: 0 0 5px rgba(0, 0, 0, .08);
}

.wd-action-btn.wd-style-icon-bg-text>a:before {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	width: calc(var(--wd-action-icon-size) * 2.8);
	height: calc(var(--wd-action-icon-size) * 2.8);
}

.wd-action-btn.wd-style-icon-bg-text>a>span {
	overflow: hidden;
	max-width: 0;
	white-space: nowrap;
	font-size: 90%;
	font-weight: 600;
	transition: padding .4s cubic-bezier(.175, .885, .32, 1.15), max-width .4s cubic-bezier(.175, .885, .32, 1.15);
}

.wd-action-btn.wd-style-icon-bg-text>a:hover>span {
	padding-inline-end: calc(var(--wd-action-icon-size) * 1.4);
	max-width: 280px;
}

.product-360-button>a:before {
	content: "";
}

.wd-show-product-gallery-wrap>a:before {
	content: "";
}

.wd-play-icon>a:before {
	content: "";
}

.wd-product-360-view-wrap {
	--wd-popup-width: 700px;
	--wd-popup-padding: .001px;
}

.wd-popup.wd-product-360-view {
	background-color: transparent;
}

.woocommerce-product-gallery.image-action-zoom .wd-carousel-item figure a:last-child, .woocommerce-product-gallery.image-action-none .wd-carousel-item figure a {
	cursor: default;
	pointer-events: none;
}

.woocommerce-product-gallery .product-labels {
	inset-inline-start: auto;
	z-index: 10;
	align-items: flex-end;
	max-width: 30%;
}

.woocommerce-product-gallery .product-labels.labels-rectangular {
	inset-inline: auto 0;
}

.woocommerce-product-gallery .product-labels[class*="labels-rounded"] {
	top: 15px;
	inset-inline-end: 15px;
}

.woocommerce-product-gallery .product-labels.labels-rounded .product-label {
	min-width: 55px;
	min-height: 55px;
}

.woocommerce-product-gallery .product-labels.labels-rounded .label-with-img {
	min-height: auto;
}

@media (min-width: 1025px) {
	[style*="col-lg:auto"] .wd-carousel-item {
		flex: 0 0 auto;
		max-width: unset;
	}
	
	.wd-builder-on :is(.thumbs-grid-bottom_grid,.thumbs-grid-bottom_column) .wd-carousel {
		--wd-col: var(--wd-col-lg) !important;
	}
}

@media (max-width: 1024px) {
	.wd-action-btn.wd-style-icon-bg-text {
		--wd-action-icon-size: 16px;
	}
}

@media (max-width: 768.98px) {
	[style*="col-sm:auto"] .wd-carousel-item {
		flex: 0 0 auto;
		max-width: unset;
	}
	
	.wd-builder-on :is(.thumbs-grid-bottom_grid,.thumbs-grid-bottom_column) .wd-carousel {
		--wd-col: var(--wd-col-sm) !important;
	}
}

@media (max-width: 576px) {
	.woocommerce-product-gallery .product-labels[class*="labels-rounded"] {
		top: 10px;
		inset-inline-end: 10px;
	}
	
	.woocommerce-product-gallery .product-labels.labels-rounded .product-label {
		min-width: 40px;
		min-height: 40px;
	}
	
	.woocommerce-product-gallery .product-labels.labels-rounded .label-with-img {
		min-height: auto;
	}
}

@media (min-width: 769px) and (max-width: 1024px) {
	[style*="col-md:auto"] .wd-carousel-item {
		flex: 0 0 auto;
		max-width: unset;
	}
	
	.wd-builder-on :is(.thumbs-grid-bottom_grid,.thumbs-grid-bottom_column) .wd-carousel {
		--wd-col: var(--wd-col-md) !important;
	}
}

.wd-carousel-container {
	--wd-width: 100%;
	position: relative;
	width: var(--wd-width);
}

.wd-carousel-inner {
	position: relative;
	margin: -15px 0;
}

.wd-carousel {
	position: relative;
	overflow: var(--wd-carousel-overflow, hidden);
	padding: 15px 0;
	margin-inline: calc(var(--wd-gap) / -2);
	touch-action: pan-y;
}

@supports (overflow: clip) {
	.wd-carousel {
		overflow: var(--wd-carousel-overflow, clip);
	}
}

.wd-carousel-wrap {
	position: relative;
	width: 100%;
	height: 100%;
	z-index: 1;
	display: flex;
	transition-property: transform;
	transition-timing-function: initial;
	box-sizing: content-box;
	transform: translate3d(0px, 0, 0);
}

.wd-carousel-item {
	position: relative;
	height: 100%;
	flex: 0 0 calc(100% / var(--wd-col));
	max-width: calc(100% / var(--wd-col));
	padding: 0 calc(var(--wd-gap) / 2);
	transition-property: transform;
	transform: translate3d(0px, 0, 0);
}

.wd-backface-hidden .wd-carousel-item {
	transform: translateZ(0);
	backface-visibility: hidden;
}

.wd-carousel[data-center_mode="yes"] .wd-carousel-wrap:not([style]) {
	transform: translate3d(calc(50% - ( 100% / var(--wd-col) ) / 2), 0, 0);
}

.wd-autoheight, .wd-autoheight .wd-carousel-item {
	height: auto;
}

.wd-autoheight .wd-carousel-wrap {
	align-items: flex-start;
	transition-property: transform, height;
}

@media (min-width: 1025px) {
	.wd-carousel-container:not(.wd-off-lg) [style*="col-lg:1;"]:not(.wd-initialized)>.wd-carousel-wrap>.wd-carousel-item:nth-child(n+2) {
		display: none;
	}
}

@media (max-width: 768.98px) {
	.wd-carousel-container:not(.wd-off-sm) [style*="col-sm:1;"]:not(.wd-initialized)>.wd-carousel-wrap>.wd-carousel-item:nth-child(n+2) {
		display: none;
	}
}

@media (min-width: 769px) and (max-width: 1024px) {
	.wd-carousel-container:not(.wd-off-md) [style*="col-md:1;"]:not(.wd-initialized)>.wd-carousel-wrap>.wd-carousel-item:nth-child(n+2) {
		display: none;
	}
}

.wd-btn-arrow {
	transition: all .25s ease;
}

.wd-btn-arrow.wd-lock, .wd-carousel:not(.wd-initialized)+.wd-nav-arrows .wd-btn-arrow {
	opacity: 0 !important;
	pointer-events: none !important;
}

.wd-arrow-inner {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	width: var(--wd-arrow-width, var(--wd-arrow-size, 50px));
	height: var(--wd-arrow-height, var(--wd-arrow-size, 50px));
	line-height: 1;
	color: var(--wd-arrow-color, var(--color-gray-800));
	background: var(--wd-arrow-bg, unset);
	box-shadow: var(--wd-arrow-shadow, unset);
	border: var(--wd-arrow-brd, unset) var(--wd-arrow-brd-color, unset);
	border-radius: var(--wd-arrow-radius, unset);
	cursor: pointer;
	transition: all .25s ease;
}

.wd-arrow-inner:after {
	font-size: var(--wd-arrow-icon-size, 24px);
	font-family: "woodmart-font";
}

.wd-arrow-inner:hover {
	color: var(--wd-arrow-color-hover, var(--color-gray-500));
	background: var(--wd-arrow-bg-hover, var(--wd-arrow-bg));
	border-color: var(--wd-arrow-brd-color-hover, var(--wd-arrow-brd-color));
}

.wd-disabled .wd-arrow-inner {
	color: var(--wd-arrow-color-dis, var(--color-gray-400));
	background: var(--wd-arrow-bg-dis, var(--wd-arrow-bg));
	border-color: var(--wd-arrow-brd-color-dis, var(--wd-arrow-brd-color));
	cursor: unset;
}

.wd-prev .wd-arrow-inner:after {
	content: "";
}

.wd-icon-2 .wd-prev .wd-arrow-inner:after {
	content: "";
}

.wd-next .wd-arrow-inner:after {
	content: "";
}

.wd-icon-2 .wd-next .wd-arrow-inner:after {
	content: "";
}

.wd-nav-arrows.wd-pos-sep:after {
	content: "";
	position: absolute;
	inset: 0px calc(( var(--wd-arrow-width, var(--wd-arrow-size, 50px)) + var(--wd-arrow-offset-h, 0px) ) * -1);
}

.wd-nav-arrows.wd-pos-sep .wd-btn-arrow {
	position: absolute;
	top: calc(50% - var(--wd-arrow-offset-v, 0px) + var(--wd-arrow-height, var(--wd-arrow-size, 50px)) / -2);
	z-index: 250;
}

.wd-nav-arrows.wd-pos-sep .wd-prev {
	inset-inline-end: calc(100% + var(--wd-arrow-offset-h, 0px));
}

.wd-nav-arrows.wd-pos-sep .wd-next {
	inset-inline-start: calc(100% + var(--wd-arrow-offset-h, 0px));
}

.wd-nav-arrows:where(.wd-pos-together) {
	--wd-arrow-size: 30px;
	--wd-arrow-icon-size: 16px;
	--wd-arrow-offset-h: 10px;
}

.wd-nav-arrows.wd-pos-together {
	position: absolute;
	top: calc(0% - var(--wd-arrow-offset-v, 0px) - var(--wd-arrow-height, var(--wd-arrow-size, 50px)));
	inset-inline-end: calc(var(--wd-arrow-offset-h, 0px) / -1);
	display: flex;
	gap: var(--wd-arrow-gap, .001px);
	z-index: 250;
}

@media (min-width: 1025px) {
	.wd-nav-arrows[class*="wd-hover"].wd-pos-sep .wd-btn-arrow {
		opacity: 0;
		pointer-events: none;
	}
	
	:is(.wd-carousel-container,.wd-products-element):hover .wd-nav-arrows[class*="wd-hover"].wd-pos-sep .wd-btn-arrow {
		opacity: 1;
		transform: translateY(0);
		pointer-events: unset;
	}
	
	.wd-nav-arrows.wd-hover-1.wd-pos-sep .wd-prev {
		transform: translateX(-30px);
	}
	
	.wd-nav-arrows.wd-hover-1.wd-pos-sep .wd-next {
		transform: translateX(30px);
	}
}

@media (max-width: 1024px) {
	.wd-nav-arrows {
		--wd-arrow-icon-size: 16px;
		--wd-arrow-size: 40px;
	}
	
	.wd-nav-arrows:where(.wd-pos-sep) {
		--wd-arrow-offset-h: -12px;
	}
	
	.wd-nav-arrows:where(.wd-pos-together) {
		--wd-arrow-size: 30px;
	}
}

.wd-nav-pagin-wrap {
	display: flex;
	min-height: var(--wd-pagin-size, 10px);
	margin-top: 20px;
	justify-content: var(--wd-align, var(--wd-center));
	font-size: 0;
}

.wd-nav-pagin-wrap:has(.wd-lock) {
	display: none;
}

.wd-nav-pagin {
	--list-mb: 0;
	--li-mb: 0 !important;
	--li-pl: 0;
	list-style: none;
	display: inline-flex;
	align-items: center;
	flex-wrap: wrap;
	gap: var(--wd-pagin-gap, 10px);
	transition: all .25s ease;
}

.wd-nav-pagin li {
	position: relative;
	cursor: pointer;
	transition: all .25s ease;
}

.wd-nav-pagin:not([class*="wd-type-"]), .wd-nav-pagin.wd-lock {
	opacity: 0;
}

.wd-dynamic>.wd-nav-pagin {
	flex-wrap: nowrap;
	gap: 0;
	margin: 0 auto;
	overflow: hidden;
}

.wd-dynamic>.wd-nav-pagin li {
	margin-inline: calc(var(--wd-pagin-gap, 10px) / 2);
}

.wd-nav-pagin-wrap[class*="wd-style-shape"] span {
	display: inline-flex;
	width: var(--wd-pagin-size, 10px);
	height: var(--wd-pagin-size, 10px);
	background-color: var(--wd-pagin-bg, unset);
	border: var(--wd-pagin-brd, 2px solid) var(--wd-pagin-brd-color, var(--color-gray-300));
	border-radius: var(--wd-pagin-radius, var(--wd-pagin-size, 10px));
	transition: all .25s ease;
}

.wd-nav-pagin-wrap[class*="wd-style-shape"] li:not(.wd-active):hover span {
	border-color: var(--wd-pagin-brd-color-hover, var(--color-gray-800));
	background-color: var(--wd-pagin-bg-hover, var(--wd-pagin-bg, unset));
}

.wd-nav-pagin-wrap[class*="wd-style-shape"] li.wd-active span {
	border-color: var(--wd-pagin-brd-color-act, var(--color-gray-800));
	background-color: var(--wd-pagin-bg-act, var(--color-gray-800));
}

.wd-product-info {
	position: relative;
	line-height: 1;
}

.wd-product-info>:is(span,svg) {
	vertical-align: middle;
}

.wd-product-info .wd-info-icon {
	display: inline-block;
	color: var(--wd-primary-color);
	font-size: 110%;
	margin-inline-end: 6px;
}

.wd-product-info .wd-info-icon img {
	max-width: var(--wd-icon-w, 100px);
	min-width: var(--wd-icon-w, 14px);
}

.wd-product-info .wp-block-wd-icon {
	--wd-icon-w: 20px;
}

.wd-product-info .wd-info-number {
	color: var(--color-gray-800);
	font-weight: 600;
	margin-inline-end: 4px;
}

.wd-product-info .wd-info-msg {
	line-height: var(--wd-text-line-height);
}

.wd-product-info.wd-style-with-bg {
	padding: 15px 20px;
}

.wd-product-info.wd-style-with-bg:before {
	content: "";
	position: absolute;
	inset: 0;
	border-radius: var(--wd-brd-radius);
	background: var(--wd-primary-color);
	opacity: .1;
	pointer-events: none;
}

.wd-visits-count:not(.wd-with-icon) .wd-info-icon:before {
	content: "";
	font-family: "woodmart-font";
}

.wd-single-visitor-count:has(.wd-hide) {
	display: none;
}

.title-wrapper {
	--wd-mb: 10px;
}

.title-wrapper [class*="title"] {
	display: inline-block;
}

.title-wrapper .title {
	margin-bottom: 0;
}

.title-wrapper .img-wrapper {
	display: block;
	margin-top: 10px;
}

.subtitle-color-black.subtitle-style-default {
	color: #000;
}

.subtitle-color-black.subtitle-style-background {
	background-color: #333;
	color: #fff;
}

.subtitle-color-white.subtitle-style-default {
	color: rgba(255, 255, 255, .8);
}

.subtitle-color-white.subtitle-style-background {
	background-color: rgba(255, 255, 255, .8);
	color: #242424;
}

.subtitle-color-gradient.subtitle-style-default {
	color: var(--color-gray-400);
}

.subtitle-color-gradient.subtitle-style-background {
	background-color: #f1f1f1;
	color: #333;
}

.wd-title-color-default {
	--el-title-color: rgba(0, 0, 0, .105);
}

.wd-title-color-primary {
	--el-title-color: var(--wd-primary-color);
}

.wd-title-color-alt {
	--el-title-color: var(--wd-alternative-color);
}

.wd-title-color-black {
	--el-title-color: #000;
}

.wd-title-color-white {
	color: var(--wd-text-color);
	--wd-text-color: rgba(255, 255, 255, .8);
	--wd-title-color: #fff;
	--el-title-color: #fff;
}

.wd-title-color-gradient .title {
	-webkit-background-clip: text;
	background-clip: text;
	-webkit-text-fill-color: transparent;
}

.wd-title-style-shadow {
	padding: 25px;
	border-radius: var(--wd-brd-radius);
	box-shadow: 0 0 8px rgba(0, 0, 0, .12);
}

.wpb-js-composer .title-wrapper {
	--content-width: var(--wd-max-width);
}

.wpb-js-composer .title-wrapper [class*="title"] {
	max-width: var(--content-width);
}

.wpb-js-composer .title-wrapper.wd-title-empty .liner-continer {
	margin-bottom: 0;
}

.wpb-js-composer .title-wrapper.wd-title-empty .liner-continer .title {
	display: none;
}

@media (max-width: 1024px) {
	.title-subtitle.wd-fontsize-m, .title-after_title.wd-fontsize-s {
		font-size: 14px;
	}
}

@media (max-width: 576px) {
	.title-wrapper .title-subtitle {
		font-size: 12px;
	}
	
	.title-wrapper .title {
		font-size: 20px;
	}
}

:is(.wd-title-style-underlined,.wd-title-style-overlined) .title {
	border-color: var(--el-title-color);
}

:is(.wd-title-style-underlined,.wd-title-style-overlined).wd-title-color-default {
	--el-title-color: #ccc;
}

:is(.wd-title-style-underlined,.wd-title-style-overlined).wd-title-color-white .liner-continer {
	border-color: rgba(255, 255, 255, .5);
}

.wd-title-style-underlined .liner-continer {
	border-bottom: 2px solid var(--brdcolor-gray-300);
}

.wd-title-style-underlined .title {
	margin-bottom: -2px;
	padding-bottom: 10px;
	border-bottom: 2px solid var(--el-title-color);
}

.wd-title-style-underlined-2 {
	--wd-mb: 15px;
}

.wd-title-style-underlined-2 .title {
	border-bottom: 2px solid var(--el-title-color);
	line-height: .85;
}

.wd-title-style-underlined-2 .title.wd-fontsize-xxl {
	border-width: 3px;
}

.wd-title-style-underlined-2 .title.wd-fontsize-xxxl {
	border-width: 4px;
}

.wd-title-style-underlined-2:not(.wd-title-color-gradient) .title {
	text-shadow: 1px 1px #fff, 1px -1px #fff, -1px 1px #fff, -1px -1px #fff;
}

.wd-title-style-underlined-2:not(.wd-title-color-gradient) .title.wd-fontsize-xxxl {
	text-shadow: 2px 2px #fff, 2px -2px #fff, -2px 2px #fff, -2px -2px #fff;
}

.wd-title-style-underlined-2.wd-title-color-white .title, [class*="color-scheme-light"] .wd-title-style-underlined-2 .title {
	text-shadow: none !important;
}

.wd-title-style-overlined .liner-continer {
	border-top: 1px solid var(--brdcolor-gray-300);
}

.wd-title-style-overlined .title {
	margin-top: -1px;
	padding-top: 20px;
	border-top: 3px solid var(--el-title-color);
}

@media (max-width: 1024px) {
	.wd-title-style-underlined-2 .title:is(.wd-fontsize-xxl,.wd-fontsize-xxxl) {
		border-width: 2px;
	}
	
	.wd-title-style-underlined-2:not(.wd-title-color-gradient) .title.wd-fontsize-xxxl {
		text-shadow: 1px 1px #fff, 1px -1px #fff, -1px 1px #fff, -1px -1px #fff;
	}
}

.wd-collapsible-content.elementor-column:not(.wd-opened) .elementor-widget-wd_button:last-child {
	position: static;
}

.wd-collapsible-content.elementor-column:not(.wd-opened) .elementor-widget-wd_button:last-child .wd-collapsible-button {
	position: absolute;
	inset-inline: 10px;
	bottom: 10px;
	z-index: 11;
}

.wd-collapsible-content.e-con:not(.wd-opened) .elementor-widget-wd_button:last-child {
	padding-inline-start: var(--padding-inline-start);
	padding-inline-end: var(--padding-inline-end);
	position: absolute;
	inset-inline: 0;
	bottom: var(--padding-block-end, 0);
	z-index: 11;
}

.wd-collapsible-content.e-con:not(.wd-opened):not(.e-con-full) .elementor-widget-wd_button:last-child>* {
	margin-inline: auto;
	max-width: var(--content-width);
}

.wd-collapsible-content.elementor-column>.elementor-widget-wrap, .wd-collapsible-content.e-con {
	overflow: hidden;
}

.wd-collapsible-content.elementor-column.wd-opened>.elementor-widget-wrap, .wd-collapsible-content.e-con.wd-opened {
	max-height: 100% !important;
}

.wd-collapsible-content.elementor-column:not(.wd-opened)>.elementor-widget-wrap:after, .wd-collapsible-content.e-con:not(.wd-opened):after {
	content: "";
	position: absolute;
	inset-inline: 0;
	bottom: 0;
	z-index: 10;
	height: calc(100px + var(--padding-block-end, .001px));
	background: linear-gradient(to bottom, transparent 0px, currentColor 45px);
	color: #fff;
}

.wd-rating-summary {
	position: relative;
}

.wd-rating-summary-heading {
	text-align: center;
	margin-bottom: 20px;
}

.wd-rating-summary-heading .star-rating {
	font-size: 130%;
}

.wd-rating-summary-main {
	font-size: 60px;
	line-height: .8;
	color: var(--color-gray-900);
	font-weight: 600;
	margin-bottom: 8px;
}

.wd-rating-summary-cont {
	display: table;
	border-spacing: 0 15px;
	margin: -15px 0 -15px 0;
}

.wd-rating-summary-item {
	--wd-progress-height: 12px;
	display: table-row;
	line-height: 1;
	transition: all .25s ease;
	white-space: nowrap;
}

.wd-rating-summary-item>div {
	display: table-cell;
}

.wd-rating-summary-item>div:not(:last-child) {
	padding-inline-end: 10px;
}

.wd-rating-summary-item .wd-rating-label .star-rating {
	vertical-align: baseline;
}

.wd-rating-summary-item .wd-progress-bar {
	vertical-align: middle;
}

.wd-rating-progress-bar {
	width: 100%;
}

.wd-rating-count {
	text-align: end;
	margin-inline-start: 10px;
	transition: all .25s ease;
}

.wd-rating-count .star-rating {
	vertical-align: baseline;
	margin-inline-start: 5px;
}

.wd-rating-summary.wd-with-filter .wd-rating-summary-item:not(.wd-empty) {
	cursor: pointer;
}

.wd-rating-summary.wd-with-filter .wd-rating-summary-item:not(.wd-empty):is(.wd-rating-summary.wd-with-filter .wd-rating-summary-item:not(.wd-empty):hover,.wd-rating-summary.wd-with-filter .wd-rating-summary-item:not(.wd-empty).wd-active) .progress-area {
	background-color: rgba(var(--bgcolor-black-rgb), .1);
}

.wd-rating-summary.wd-with-filter .wd-rating-summary-item:not(.wd-empty):is(.wd-rating-summary.wd-with-filter .wd-rating-summary-item:not(.wd-empty):hover,.wd-rating-summary.wd-with-filter .wd-rating-summary-item:not(.wd-empty).wd-active) .wd-rating-count {
	color: var(--color-gray-800);
}

.wd-rating-summary.wd-with-filter .wd-rating-summary-item:not(.wd-empty).wd-active .wd-rating-count {
	font-weight: 700;
}

.commentlist .children {
	--li-pl: 0;
	list-style: none;
	--list-mb: 0;
	--li-mb: 0;
	margin-inline-start: 30px;
	border-top: 1px solid var(--brdcolor-gray-300);
}

.commentlist .children .comment:last-child {
	padding-bottom: 0;
	border-bottom: none;
}

.woocommerce-Reviews {
	--wd-row-gap: var(--wd-col-gap);
	--wd-col-gap: 40px;
	display: flex;
	flex-wrap: wrap;
	row-gap: var(--wd-row-gap);
	margin-inline: calc(var(--wd-col-gap) / -2);
}

.woocommerce-Reviews>:is(div,p) {
	flex: 1 1 100%;
	padding-inline: calc(var(--wd-col-gap) / 2);
	order: 0;
}

.woocommerce-Reviews .woocommerce-Reviews-title {
	margin-bottom: 0;
	font-size: unset;
}

.woocommerce-Reviews .clear {
	display: none;
}

.woocommerce-Reviews.wd-loading .wd-loader-overlay {
	display: block;
}

.woocommerce-Reviews nav[class*="-pagination"] {
	margin-top: 15px;
}

.wd-accordion .wd-single-reviews {
	margin-top: 20px;
}

.woocommerce-Reviews #comments {
	position: relative;
	order: 1;
}

.woocommerce-Reviews #comments .wd-loader-overlay {
	inset-inline: calc(var(--wd-col-gap) / 2);
}

.woocommerce-Reviews #comments .wd-loader-overlay:after {
	top: min(calc(50% - 13px), 150px);
}

.wd-form-pos-after #review_form_wrapper {
	order: 2;
}

.comment-form>:is(.comment-form-rating,.woocommerce-error) {
	flex-basis: 100%;
	max-width: 100%;
	width: 100%;
}

.comment-form .woocommerce-error {
	margin-inline: 10px;
}

.comment-form .wd-review-criteria-wrap {
	display: table;
	margin-bottom: 5px;
	padding-inline: 10px;
}

.comment-form .wd-review-criteria-wrap .comment-form-rating {
	display: table-row;
}

.comment-form .wd-review-criteria-wrap .comment-form-rating>label {
	display: table-cell;
	padding-inline-end: 10px;
}

.comment-form .wd-review-criteria-wrap .comment-form-rating:not(:last-child)>label {
	padding-bottom: 15px;
}

.comment-form>.comment-form-rating {
	display: flex;
	align-items: center;
	padding-inline: 10px;
	margin-bottom: 15px;
}

.comment-form .comment-form-rating {
	line-height: 1;
}

.comment-form .comment-form-rating label {
	display: inline-block;
	margin-bottom: 0;
	margin-inline-end: 15px;
}

.comment-form .comment-form-rating label:after {
	content: ":";
	margin-inline-start: 2px;
}

.comment-form .comment-form-rating select {
	display: none;
}

.stars {
	display: inline-block;
	margin-bottom: 0;
	vertical-align: middle;
	white-space: nowrap;
}

.stars span {
	display: flex;
	font-size: 0;
}

.stars a {
	width: calc(var(--wd-text-font-size) + 1px);
	text-align: center;
	text-decoration: none !important;
}

.stars a:before {
	font-size: var(--wd-text-font-size);
	font-family: "woodmart-font";
}

.wd-reviews-heading {
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-wrap: wrap;
	gap: 20px;
	margin-bottom: 20px;
}

.wd-reviews-tools {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	gap: 5px 15px;
}

.wd-reviews-tools:first-child {
	flex-grow: 1;
	flex-basis: max(50%, 500px);
}

.wd-reviews-sorting-clear {
	cursor: pointer;
	display: inline-flex;
	align-items: center;
	color: var(--color-gray-800);
	font-weight: 600;
	text-decoration: none !important;
}

.wd-reviews-sorting-clear:before {
	margin-inline-end: .3em;
	font-weight: 400;
	content: "";
	font-family: "woodmart-font";
}

.wd-reviews-sorting-clear:hover {
	color: var(--color-gray-500);
}

.wd-reviews-filters select {
	max-width: 200px;
	width: auto;
}

.wd-reviews-filters label {
	display: inline;
	margin-bottom: 0;
}

.wd-reviews-filters .wd-with-image {
	white-space: nowrap;
}

.commentlist {
	--list-mb: 0;
	--li-mb: 0;
	--li-pl: 0;
	--wd-gap: 15px;
	list-style: none;
	transition: all .3s ease;
}

.commentlist>li {
	padding-bottom: 15px;
	border-bottom: 1px solid var(--brdcolor-gray-300);
}

.commentlist>li.woocommerce-noreviews {
	grid-column: auto/span var(--wd-col);
	padding: 0;
	border: 0;
	background: transparent;
}

.commentlist.wd-review-style-1>li.woocommerce-noreviews {
	padding-block: 15px 30px;
}

.commentlist .comment_container {
	display: flex;
}

.commentlist .children .wd-review-icon:before {
	content: "";
	font-family: "woodmart-font";
}

.commentlist .avatar {
	align-self: flex-start;
	max-width: 60px;
	border-radius: 50%;
	margin-inline-end: 20px;
}

.commentlist .comment-text {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	justify-content: space-between;
	flex: 1 1 auto;
}

.commentlist .meta {
	margin-bottom: 10px;
	margin-inline-end: 10px;
}

.commentlist .description {
	flex: 1 1 100%;
	width: 100%;
	max-width: 100%;
	--wd-tags-mb: 10px;
}

.commentlist .description>*:last-child {
	margin-bottom: 0;
}

.commentlist .comment-text>[class*="star-rating"] {
	margin-bottom: 10px;
	margin-inline-end: 0;
}

.commentlist .wd-star-ratings {
	position: relative;
}

.commentlist .wd-star-ratings>.wd-star-rating-wrap:after {
	font-weight: normal;
	font-style: normal;
	font-size: 60%;
	content: "";
	font-family: "woodmart-font";
}

.commentlist .wd-star-ratings .star-rating {
	margin-bottom: 0;
}

.commentlist .wd-star-rating-wrap {
	display: flex;
	align-items: center;
	gap: 8px;
}

.commentlist .wd-criteria-wrap {
	padding: 15px;
	white-space: nowrap;
}

.commentlist .wd-criteria-wrap .wd-star-rating-wrap:not(:last-child) {
	margin-bottom: 5px;
}

.wd-reviews-content .commentlist:not(.wd-in) {
	opacity: 0;
}

.wd-reviews-content>.woocommerce-noreviews {
	margin-bottom: 0;
}

.woocommerce-review__author {
	color: var(--color-gray-900);
}

.woocommerce-review__verified {
	font-size: 90%;
}

.wd-review-arguments, .wd-review-likes {
	margin-top: 15px;
	width: 100%;
}

.review .wd-review-icon {
	display: inline-block;
	margin-inline-end: 6px;
	vertical-align: middle;
	line-height: 1;
}

.review .wd-review-icon>span {
	display: none;
}

.review .wd-review-icon:before {
	content: "󱑺";
	font-family: "woodmart-font";
	color: var(--wd-primary-color);
	font-weight: 400;
	font-size: 120%;
}

.wd-review-style-2 .review .wd-review-icon:before {
	font-size: 140%;
}

.wd-review-arguments {
	--wd-tags-mb: 0;
}

.wd-review-arguments>div {
	display: flex;
}

.wd-review-arguments>div:not(:last-child) {
	margin-bottom: 15px;
}

.wd-argument-label {
	min-width: 2.5em;
	margin-inline-end: 7px;
	font-weight: 600;
	color: var(--color-gray-900);
	flex-shrink: 0;
}

.stars:hover a:before, .stars.selected a:before, .stars.selected:hover a:before {
	content: "";
	color: #eabe12;
}

.stars a:before, .stars a:hover ~ a:before, .stars a.active ~ a:before, .stars.selected:hover a:hover ~ a:before {
	content: "";
	color: var(--color-gray-300);
}

@media (min-width: 1025px) {
	.wd-single-reviews.wd-layout-two-column .woocommerce-Reviews>:is(div,p) {
		flex-basis: max(400px, 50%);
	}
}

.wd-review-style-2>li {
	display: flex;
	flex-direction: column;
	border-radius: var(--wd-brd-radius);
	border: 1px solid var(--brdcolor-gray-300);
	padding: 15px;
	background-color: var(--bgcolor-white);
}

.wd-review-style-2 .comment_container {
	flex-grow: 1;
}

.wd-review-style-2 .meta {
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-grow: 1;
	width: 100%;
}

.wd-review-style-2 .woocommerce-review__author {
	margin-inline-end: 5px;
}

.wd-review-style-2 .woocommerce-review__verified {
	flex-grow: 1;
	margin-inline-end: 5px;
}

.wd-review-style-2 .woocommerce-review__dash {
	display: none;
}

.wd-review-style-2 .children {
	margin: 15px -15px -15px -15px;
	border-bottom-left-radius: var(--wd-brd-radius);
	border-bottom-right-radius: var(--wd-brd-radius);
	padding: 15px;
	background-color: rgba(var(--bgcolor-black-rgb), .04);
}

.wd-review-style-2 .children>li:not(:last-child) {
	margin-bottom: 15px;
}

.tabs-layout-all-open .wd-tab-wrapper:not(:last-child) {
	margin-bottom: 40px;
}

.wd-all-open-title {
	margin-bottom: 30px;
	font-size: 22px;
}

.wd-title-style-overline .wd-all-open-title {
	border-top: 1px solid var(--brdcolor-gray-300);
}

.wd-title-style-overline .wd-all-open-title span {
	display: inline-block;
	margin-top: -1px;
	padding-top: 20px;
	border-top: 3px solid var(--wd-primary-color);
}
